import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ListRasterDataCollectionsInput,
  ListRasterDataCollectionsOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface ListRasterDataCollectionsCommandInput
  extends ListRasterDataCollectionsInput {}
export interface ListRasterDataCollectionsCommandOutput
  extends ListRasterDataCollectionsOutput,
    __MetadataBearer {}
export declare class ListRasterDataCollectionsCommand extends $Command<
  ListRasterDataCollectionsCommandInput,
  ListRasterDataCollectionsCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: ListRasterDataCollectionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListRasterDataCollectionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListRasterDataCollectionsCommandInput,
    ListRasterDataCollectionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
